Lavalite package that provides coin management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `pqc/coin`.

    "pqc/coin": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Pqc\Coin\Providers\CoinServiceProvider::class,

And also add it to alias

    'Coin'  => Pqc\Coin\Facades\Coin::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Pqc\\Coin\\Seeders\\CoinTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Pqc\Coin\Providers\CoinServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Pqc\Coin\Providers\CoinServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Pqc\Coin\Providers\CoinServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/coin/{modulename}

**User**

    http://path-to-route-folder/user/coin/{modulename}

**Public**

    http://path-to-route-folder/coins


### API endpoints

**List**

    http://path-to-route-folder/api/user/coin/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/coin/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/coin/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/coin/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/coin/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/coin/{modulename}/{slug}
    METHOD: GET